Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.kernels.libsvm.LinearLSKernel

class `mvpa2.kernels.libsvm.``LinearLSKernel`(*args, **kwargs)

  A simple Linear kernel: K(a,b) = a*b.T

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Base class for LIBSVM Kernels has no parameters

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions :Parameters: typename : string Describes kernel type methodfull : function Method which converts to the new kernel object class methodraw : function Method which returns a raw kernel ..
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »